Debian Bug report logs - #675144
Australia/Victoria or Australia/Melbourne missing in wheezy timezone prompt

version graph

Package: tzsetup; Maintainer for tzsetup is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: "Trent W. Buck" <trentbuck@gmail.com>

Date: Wed, 30 May 2012 07:15:02 UTC

Severity: normal

Tags: l10n

Merged with 660959

Fixed in version tzsetup/1:0.36

Done: Joey Hess <joeyh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#675144; Package debian-installer. (Wed, 30 May 2012 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Trent W. Buck" <trentbuck@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 30 May 2012 07:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Trent W. Buck" <trentbuck@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Australia/Victoria or Australia/Melbourne missing in wheezy timezone prompt
Date: Wed, 30 May 2012 17:13:01 +1000
[Message part 1 (text/plain, inline)]
Package: debian-installer
Severity: minor
Tags: l10n

When PXE-booting wheezy d-i[1], the timezone prompt lists Australian
timezones but does not list either "Victoria" or "Melbourne" in the
list.  I was using a local debmirror of mirror.internode.on.net's
tertiary mirror.  I am running the debmirror from lucid.  It ran
without --i18n which accounts for some of the other issues in the
attached d-i syslog.

I am preseeding a couple of options [2].

I have not confirmed whether this issue is present when using
ftp.debian.org instead of my own mirror.  I *think* the issue did not
appear in a stable install I did from the same mirror recently.  The
issue is not present in an existing completed install of wheezy
pointed at the same mirror[3].

[1] $ ls -ld /srv/tftp/debian/testing-i386.*
    -r--r--r-- 2 dnsmasq nogroup 8785046 2012-05-09 02:18 /srv/tftp/debian/testing-i386.initrd
    -r--r--r-- 2 dnsmasq nogroup 2498144 2012-05-09 02:26 /srv/tftp/debian/testing-i386.kernel
    $ md5sum /srv/tftp/debian/testing-i386.*
    b68c65e48c7ac2488a3efa9f9e9fbd51  /srv/tftp/debian/testing-i386.initrd
    e11c2daf380239ac6c16d8f69a2bca98  /srv/tftp/debian/testing-i386.kernel

[2] initrd=debian/testing-i386.initrd
    theme=dark
    locale=en_AU
    mirror/method=http
    mirror/country=manual
    mirror/http/proxy=
    mirror/http/hostname=apt
    mirror/http/directory=/debian
    priority=low
    BOOT_IMAGE=debian/testing-i386.kernel

[3] $ lsb_release -a
    No LSB modules are available.
    Distributor ID: Debian
    Description:    Debian GNU/Linux testing (wheezy)
    Release:        testing
    Codename:       wheezy

    $ sudo debconf-show tzdata
    * tzdata/Zones/Australia: Melbourne
      tzdata/Zones/US:
      tzdata/Zones/Asia:
    * tzdata/Zones/Etc: UTC
      tzdata/Zones/SystemV:
      tzdata/Zones/Arctic:
      tzdata/Zones/Pacific:
      tzdata/Zones/Antarctica:
      tzdata/Zones/Europe:
      tzdata/Zones/Africa:
      tzdata/Zones/America:
    * tzdata/Areas: Australia
      tzdata/Zones/Atlantic:
      tzdata/Zones/Indian:

    $ dpkg -l tzdata
    [...]
    tzdata 2012b-1


-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (990, 'oneiric-updates'), (990, 'oneiric-security'), (990, 'oneiric'), (500, 'precise-updates'), (500, 'precise-security'), (500, 'precise')
Architecture: armel (armv7l)

Kernel: Linux 2.6.36.4 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_AU.utf8, LC_CTYPE=en_AU.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
[syslog (text/x-c++, attachment)]
[hardware-summary (text/x-c++, attachment)]
[partman (text/plain, attachment)]

Bug reassigned from package 'debian-installer' to 'tzsetup'. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Wed, 30 May 2012 17:06:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#675144; Package tzsetup. (Wed, 30 May 2012 17:09:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 30 May 2012 17:09:03 GMT) Full text and rfc822 format available.

Message #12 received at 675144@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: "Trent W. Buck" <trentbuck@gmail.com>, 675144@bugs.debian.org
Subject: Re: Bug#675144: Australia/Victoria or Australia/Melbourne missing in wheezy timezone prompt
Date: Wed, 30 May 2012 13:06:34 -0400
[Message part 1 (text/plain, inline)]
Trent W. Buck wrote:
> When PXE-booting wheezy d-i[1], the timezone prompt lists Australian
> timezones but does not list either "Victoria" or "Melbourne" in the
> list.

Yes, we have an unreleased upload adding Victoria.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'minor' Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Wed, 30 May 2012 17:09:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Wed, 30 May 2012 17:09:05 GMT) Full text and rfc822 format available.

Merged 660959 675144 Request was from Joey Hess <joeyh@debian.org> to control@bugs.debian.org. (Wed, 30 May 2012 17:09:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 23 Jul 2012 07:32:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:07:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.